Anonymous users' log entries cannot be filtered for with their IP address
Closed, ResolvedPublic

Description

To replicate with core, add $wgGroupPermissions['*']['move'] = true; to LocalSettings.php, move a page as an IP, then enter the IP in the Performer box in Special:Log. No results will be returned. Note that the log entry for the actions in question are visible if filtering by performer is not done.


Version: 1.22.0
Severity: major

bzimport added a project: MediaWiki-Logging.Via ConduitNov 22 2014, 2:06 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz54404.
Jackmcbarn created this task.Via LegacySep 20 2013, 10:07 PM
Jackmcbarn added a comment.Via ConduitSep 21 2013, 4:48 PM

Searching based on log_user_text will likely be too slow without an index; dependency added.

gerritbot added a comment.Via ConduitSep 21 2013, 5:00 PM

Change 85436 had a related patch set uploaded by Jackmcbarn:
DON'T MERGE YET - Allow searching for IPs' logs

https://gerrit.wikimedia.org/r/85436

gerritbot added a comment.Via ConduitDec 24 2013, 3:27 PM

Change 85436 merged by jenkins-bot:
Allow searching for IPs' logs

https://gerrit.wikimedia.org/r/85436

Anomie added a comment.Via ConduitDec 24 2013, 3:32 PM

Change merged. It should be deployed to WMF wikis with 1.23wmf9, see https://www.mediawiki.org/wiki/MediaWiki_1.23/Roadmap for the schedule.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.